/v1/spaces/{space_id}/threads/{thread_id}/messages| Name | Type | Required | Description |
|---|---|---|---|
space_id | string (uuid) | Required | |
thread_id | string (uuid) | Required |
| Name | Type | Required | Description |
|---|---|---|---|
X-API-Key | string | Optional |
curl -X GET '/api-proxy/v1/spaces/{space_id}/threads/{thread_id}/messages' \
-H 'Authorization: Bearer <YOUR_TOKEN>'{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"tenant_id": "550e8400-e29b-41d4-a716-446655440000",
"thread_id": "550e8400-e29b-41d4-a716-446655440000",
"root_message_id": {},
"parent_message_id": {},
"branch_id": {},
"author_principal_id": "550e8400-e29b-41d4-a716-446655440000",
"role": "string",
"content": "string",
"metadata_json": {},
"created_at": "2024-01-01T00:00:00Z"
}
],
"meta": {
"next_cursor": {},
"has_more": false
}
}curl -X GET '/api-proxy/v1/spaces/{space_id}/threads/{thread_id}/messages' \
-H 'Authorization: Bearer <YOUR_TOKEN>'{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"tenant_id": "550e8400-e29b-41d4-a716-446655440000",
"thread_id": "550e8400-e29b-41d4-a716-446655440000",
"root_message_id": {},
"parent_message_id": {},
"branch_id": {},
"author_principal_id": "550e8400-e29b-41d4-a716-446655440000",
"role": "string",
"content": "string",
"metadata_json": {},
"created_at": "2024-01-01T00:00:00Z"
}
],
"meta": {
"next_cursor": {},
"has_more": false
}
}